source: projects/specs/trunk/q/qt5-qtwebengine/qt5-qtwebengine-vl.spec @ 12386

Revision 12386, 29.3 KB checked in by tomop, 7 months ago (diff)

updated 15 packages

epiphany-3.30.5-3

evolution-data-server-3.30.5-3

harfbuzz-2.6.4-2

icu-67.1-1

libvisio-0.1.7-3

php74-7.4.5-2

postfix-3.5.1-2

qt5-qtbase-5.12.8-2

qt5-qtlocation-5.12.8-2

qt5-qtwebengine-5.12.8-2

samba-4.12.1-2

tracker-miners-2.3.3-2

tracker-2.3.4-1

webkitgtk4-2.28.1-1

xfsprogs-5.6.0-1

Line 
1
2%global qt_module qtwebengine
3
4%global _hardened_build 1
5
6# define to build docs, need to undef this for bootstrapping
7# where qt5-qttools builds are not yet available
8# only primary archs (for now), allow secondary to bootstrap
9%ifarch %{arm} %{ix86} x86_64
10#global docs 1
11%endif
12
13%if 0
14# need libvpx >= 1.8.0
15%global use_system_libvpx 1
16%endif
17%if 0
18# need libwebp >= 0.4.3
19%global use_system_libwebp 1
20%endif
21
22#global prerelease rc
23
24# spellchecking dictionary directory
25%global _qtwebengine_dictionaries_dir %{_qt5_datadir}/qtwebengine_dictionaries
26
27%global rpm_macros_dir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)
28
29# exclude plugins (all architectures) and libv8.so (i686, it's static everywhere
30# else)
31%global __provides_exclude ^lib.*plugin\\.so.*|libv8\\.so$
32# exclude libv8.so (i686, it's static everywhere else)
33%global __requires_exclude ^libv8\\.so$
34# and designer plugins
35%global __provides_exclude_from ^%{_qt5_plugindir}/.*\\.so$
36
37%global qt5_minorver 5.12
38%global qt5_version 5.12.8
39#global qt5_patchlevel 1
40
41Summary: Qt5 - QtWebEngine components
42Name:    qt5-qtwebengine
43Version: %{qt5_version}%{?qt5_patchlevel:.%{qt5_patchlevel}}
44Release: 2%{?_dist_release}
45
46# See LICENSE.GPL LICENSE.LGPL LGPL_EXCEPTION.txt, for details
47# See also http://qt-project.org/doc/qt-5.0/qtdoc/licensing.html
48# The other licenses are from Chromium and the code it bundles
49License: (LGPLv2 with exceptions or GPLv3 with exceptions) and BSD and LGPLv2+ and ASL 2.0 and IJG and MIT and GPLv2+ and ISC and OpenSSL and (MPLv1.1 or GPLv2 or LGPLv2)
50URL:     https://www.qt.io/
51
52Vendor: Project Vine
53Distribution: Vine Linux
54
55# cleaned tarball with patent-encumbered codecs removed from the bundled FFmpeg
56# wget https://download.qt.io/official_releases/qt/5.6/5.6.1-1/submodules/qtwebengine-everywhere-src-5.6.1-1.tar.xz
57# ./clean_qtwebengine.sh 5.6.1-1
58Source0: %{qt_module}-everywhere-src-%{qt5_version}%{?qt5_patchlevel:-%{qt5_patchlevel}}-clean.tar.xz
59
60# cleanup scripts used above
61Source1: clean_qtwebengine.sh
62Source2: clean_ffmpeg.sh
63Source3: get_free_ffmpeg_source_files.py
64# macros
65Source10: macros.qt5-qtwebengine
66
67# pulseaudio headers
68Source20: pulseaudio-12.2-headers.tar.gz
69
70# some tweaks to linux.pri (system yasm, link libpci, run unbundling script)
71Patch0:  qtwebengine-everywhere-src-5.10.0-linux-pri.patch
72# quick hack to avoid checking for the nonexistent icudtl.dat and silence the
73# resulting warnings - not upstreamable as is because it removes the fallback
74# mechanism for the ICU data directory (which is not used in our builds because
75# we use the system ICU, which embeds the data statically) completely
76Patch1:  qtwebengine-everywhere-src-5.11.0-no-icudtl-dat.patch
77# fix extractCFlag to also look in QMAKE_CFLAGS_RELEASE, needed to detect the
78# ARM flags with our %%qmake_qt5 macro, including for the next patch
79Patch2:  qtwebengine-opensource-src-5.12.4-fix-extractcflag.patch
80# disable NEON vector instructions on ARM where the NEON code FTBFS due to
81# GCC bug https://bugzilla.redhat.com/show_bug.cgi?id=1282495
82Patch3:  qtwebengine-opensource-src-5.9.0-no-neon.patch
83# workaround FTBFS against kernel-headers-5.2.0+
84Patch4:  qtwebengine-SIOCGSTAMP.patch
85# remove Android dependencies from openmax_dl ARM NEON detection (detect.c)
86Patch10: qtwebengine-opensource-src-5.9.0-openmax-dl-neon.patch
87# Force verbose output from the GN bootstrap process
88Patch21: qtwebengine-everywhere-src-5.12.0-gn-bootstrap-verbose.patch
89# Fix/workaround FTBFS on aarch64 with newer glibc
90Patch24: qtwebengine-everywhere-src-5.11.3-aarch64-new-stat.patch
91
92
93# handled by qt5-srpm-macros, which defines %%qt5_qtwebengine_arches
94ExclusiveArch: %{qt5_qtwebengine_arches}
95
96BuildRequires: qt5-rpm-macros
97BuildRequires: qt5-srpm-macros
98BuildRequires: qt5-qtbase-devel
99BuildRequires: qt5-qtbase-private-devel
100# TODO: check of = is really needed or if >= would be good enough -- rex
101%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
102BuildRequires: qt5-qtdeclarative-devel
103BuildRequires: qt5-qtxmlpatterns-devel
104BuildRequires: qt5-qtlocation-devel
105BuildRequires: qt5-qtsensors-devel
106BuildRequires: qt5-qtwebchannel-devel
107BuildRequires: qt5-qttools-static
108# for examples?
109BuildRequires: qt5-qtquickcontrols2-devel
110BuildRequires: ninja
111BuildRequires: cmake
112BuildRequires: bison
113BuildRequires: flex
114BuildRequires: gcc-c++
115# gn links statically (for now)
116BuildRequires: libstdc++-static
117BuildRequires: git-core
118BuildRequires: gperf
119BuildRequires: krb5-devel
120BuildRequires: libicu-devel
121BuildRequires: libjpeg-turbo-devel
122#BuildRequires: re2-devel
123BuildRequires: snappy-devel
124%ifarch %{ix86} x86_64
125BuildRequires: yasm
126%endif
127BuildRequires: pkgconfig(expat)
128BuildRequires: pkgconfig(gobject-2.0)
129BuildRequires: pkgconfig(glib-2.0)
130BuildRequires: pkgconfig(fontconfig)
131BuildRequires: pkgconfig(freetype2)
132BuildRequires: pkgconfig(gl)
133BuildRequires: pkgconfig(egl)
134BuildRequires: pkgconfig(jsoncpp)
135BuildRequires: pkgconfig(libpng)
136BuildRequires: pkgconfig(libudev)
137%if 0%{?use_system_libwebp}
138BuildRequires: pkgconfig(libwebp) >= 0.6.0
139%endif
140BuildRequires: pkgconfig(harfbuzz)
141BuildRequires: pkgconfig(libdrm)
142BuildRequires: opus-devel
143BuildRequires: pkgconfig(protobuf)
144BuildRequires: pkgconfig(libevent)
145BuildRequires: zlib-devel
146#BuildRequires: pkgconfig(minizip)
147BuildRequires: pkgconfig(x11)
148BuildRequires: pkgconfig(xi)
149BuildRequires: libXcursor-devel
150BuildRequires: pkgconfig(xext)
151BuildRequires: pkgconfig(xfixes)
152BuildRequires: pkgconfig(xrender)
153BuildRequires: pkgconfig(xdamage)
154BuildRequires: pkgconfig(xcomposite)
155BuildRequires: pkgconfig(xtst)
156BuildRequires: pkgconfig(xrandr)
157BuildRequires: pkgconfig(xscrnsaver)
158BuildRequires: pkgconfig(libcap)
159BuildRequires: pkgconfig(libpulse)
160BuildRequires: pkgconfig(alsa)
161BuildRequires: pciutils-devel
162BuildRequires: pkgconfig(dbus-1)
163BuildRequires: pkgconfig(nss)
164BuildRequires: pkgconfig(lcms2)
165BuildRequires: perl
166BuildRequires: python
167BuildRequires: python-rpm-macros
168%if 0%{?use_system_libvpx}
169BuildRequires: pkgconfig(vpx) >= 1.7.0
170%endif
171
172# extra (non-upstream) functions needed, see
173# src/3rdparty/chromium/third_party/sqlite/README.chromium for details
174#BuildRequires: pkgconfig(sqlite3)
175
176## Various bundled libraries that Chromium does not support unbundling :-(
177## Only the parts actually built are listed.
178## Query for candidates:
179## grep third_party/ build.log | sed 's!third_party/!\nthird_party/!g' | \
180## grep third_party/ | sed 's!^third_party/!!g' | sed 's!/.*$!!g' | \
181## sed 's/\;.*$//g' | sed 's/ .*$//g' | sort | uniq | less
182## some false positives where only shim headers are generated for some reason
183## some false positives with dummy placeholder dirs (swiftshader, widevine)
184## some false negatives where a header-only library is bundled (e.g. x86inc)
185## Spot's chromium.spec also has a list that I checked.
186
187# Of course, Chromium itself is bundled. It cannot be unbundled because it is
188# not a library, but forked (modified) application code.
189# Some security fixes are backported, see:
190# http://code.qt.io/cgit/qt/qtwebengine-chromium.git/log/?h=45-based
191Provides: bundled(chromium) = 61.0.3163.140
192
193# Bundled in src/3rdparty/chromium/third_party:
194# Check src/3rdparty/chromium/third_party/*/README.chromium for version numbers,
195# except where specified otherwise.
196Provides: bundled(angle) = 2422
197# Google's fork of OpenSSL
198# We cannot build against NSS instead because it no longer works with NSS 3.21:
199# HTTPS on, ironically, Google's sites (Google, YouTube, etc.) stops working
200# completely and produces only ERR_SSL_PROTOCOL_ERROR errors:
201# http://kaosx.us/phpBB3/viewtopic.php?t=1235
202# https://bugs.launchpad.net/ubuntu/+source/chromium-browser/+bug/1520568
203# So we have to do what Chromium 47 now defaults to: a "chimera build", i.e.,
204# use the BoringSSL code and the system NSS certificates.
205Provides: bundled(boringssl)
206Provides: bundled(brotli)
207# Don't get too excited. MPEG and other legally problematic stuff is stripped
208# out. See clean_qtwebengine.sh, clean_ffmpeg.sh, and process_ffmpeg_gyp.py.
209# see src/3rdparty/chromium/third_party/ffmpeg/Changelog for the version number
210Provides: bundled(ffmpeg) = 3.3
211Provides: bundled(hunspell) = 1.6.0
212Provides: bundled(iccjpeg)
213# bundled as "khronos", headers only
214Provides: bundled(khronos_headers)
215# bundled as "leveldatabase"
216Provides: bundled(leveldb) = 1.20
217# bundled as "libjingle_xmpp"
218Provides: bundled(libjingle)
219# see src/3rdparty/chromium/third_party/libsrtp/CHANGES for the version number
220Provides: bundled(libsrtp) = 2.1.0
221%if !0%{?use_system_libvpx}
222# claims "Version: 1.6.0", but according to the fine print, this is actually a
223# snapshot from master from after the 1.6.1 release
224Provides: bundled(libvpx) = 1.6.1
225%endif
226%if !0%{?use_system_libwebp}
227Provides: bundled(libwebp) = 0.6.0
228%endif
229# bundled as "libxml"
230# see src/3rdparty/chromium/third_party/libxml/linux/include/libxml/xmlversion.h
231
232Provides: bundled(libxml2) = 2.9.4
233# see src/3rdparty/chromium/third_party/libxslt/linux/config.h for version
234Provides: bundled(libxslt) = 1.1.29
235Provides: bundled(libXNVCtrl) = 302.17
236Provides: bundled(libyuv) = 1658
237Provides: bundled(modp_b64)
238Provides: bundled(openmax_dl) = 1.0.2
239Provides: bundled(ots)
240# see src/3rdparty/chromium/third_party/protobuf/CHANGES.txt for the version
241#Provides: bundled(protobuf) = 3.0.0-0.1.beta3
242Provides: bundled(qcms) = 4
243Provides: bundled(sfntly)
244Provides: bundled(skia)
245# bundled as "smhasher"
246Provides: bundled(SMHasher) = 0-0.1.svn147
247Provides: bundled(sqlite) = 3.20
248Provides: bundled(usrsctp)
249Provides: bundled(webrtc) = 90
250
251%ifarch %{ix86} x86_64
252# bundled by ffmpeg and libvpx:
253# header (for assembly) only
254Provides: bundled(x86inc)
255%endif
256
257# Bundled in src/3rdparty/chromium/base/third_party:
258# Check src/3rdparty/chromium/third_party/base/*/README.chromium for version
259# numbers, except where specified otherwise.
260Provides: bundled(dmg_fp)
261Provides: bundled(dynamic_annotations) = 4384
262Provides: bundled(superfasthash) = 0
263Provides: bundled(symbolize)
264# bundled as "valgrind", headers only
265Provides: bundled(valgrind.h)
266# bundled as "xdg_mime"
267Provides: bundled(xdg-mime)
268# bundled as "xdg_user_dirs"
269Provides: bundled(xdg-user-dirs) = 0.10
270
271# Bundled in src/3rdparty/chromium/net/third_party:
272# Check src/3rdparty/chromium/third_party/net/*/README.chromium for version
273# numbers, except where specified otherwise.
274Provides: bundled(mozilla_security_manager) = 1.9.2
275
276# Bundled in src/3rdparty/chromium/url/third_party:
277# Check src/3rdparty/chromium/third_party/url/*/README.chromium for version
278# numbers, except where specified otherwise.
279# bundled as "mozilla", file renamed and modified
280Provides: bundled(nsURLParsers)
281
282# Bundled outside of third_party, apparently not considered as such by Chromium:
283
284Provides: bundled(mojo)
285# see src/3rdparty/chromium/v8/include/v8_version.h for the version number
286Provides: bundled(v8) = 6.1.534.44
287# bundled by v8 (src/3rdparty/chromium/v8/src/base/ieee754.cc)
288# The version number is 5.3, the last version that upstream released, years ago:
289
290# http://www.netlib.org/fdlibm/readme
291Provides: bundled(fdlibm) = 5.3
292
293%{?_qt5_version:Requires: qt5-qtbase%{?_isa} >= %{_qt5_version}}
294
295
296%description
297%{summary}.
298
299%package devel
300Summary: Development files for %{name}
301Requires: %{name}%{?_isa} = %{version}-%{release}
302Requires: qt5-qtbase-devel%{?_isa}
303Requires: qt5-qtdeclarative-devel%{?_isa}
304# not arch'd for now, see if can get away with avoiding multilib'ing -- rex
305Requires: %{name}-devtools = %{version}-%{release}
306%description devel
307%{summary}.
308
309%package devtools
310Summary: WebEngine devtools_resources
311Requires: %{name}%{?_isa} = %{version}-%{release}
312%description devtools
313Support for remote debugging.
314
315%package examples
316Summary: Example files for %{name}
317
318%description examples
319%{summary}.
320
321
322%if 0%{?docs}
323%package doc
324Summary: API documentation for %{name}
325BuildRequires: qt5-qhelpgenerator
326BuildRequires: qt5-qdoc
327BuildArch: noarch
328%description doc
329%{summary}.
330%endif
331
332
333%debug_package
334
335
336%prep
337%setup -q -n %{qt_module}-everywhere-src-%{qt5_version}
338
339%if 0
340tar xvf %{SOURCE20}
341mv pulse src/3rdparty/chromium/
342%endif
343
344%patch0 -p1 -b .linux-pri
345%patch1 -p1 -b .no-icudtl-dat
346%patch2 -p1 -b .fix-extractcflag
347%if !0%{?arm_neon}
348%patch3 -p1 -b .no-neon
349%endif
350%patch4 -p1 -b .SIOCGSTAMP
351
352## upstream patches
353
354%patch10 -p1 -b .openmax-dl-neon
355## NEEDSWORK
356#patch21 -p1 -b .gn-bootstrap-verbose
357%patch24 -p1 -b .aarch64-new-stat
358
359
360# fix // in #include in content/renderer/gpu to avoid debugedit failure
361#sed -i -e 's!gpu//!gpu/!g' \
362#  src/3rdparty/chromium/content/renderer/gpu/compositor_forwarding_message_filter.cc
363# and another one in 2 files in WebRTC
364sed -i -e 's!audio_processing//!audio_processing/!g' \
365  src/3rdparty/chromium/third_party/webrtc/modules/audio_processing/utility/ooura_fft.cc \
366  src/3rdparty/chromium/third_party/webrtc/modules/audio_processing/utility/ooura_fft_sse2.cc
367# remove ./ from #line commands in ANGLE to avoid debugedit failure (?)
368sed -i -e 's!\./!!g' \
369  src/3rdparty/chromium/third_party/angle/src/compiler/preprocessor/Tokenizer.cpp \
370  src/3rdparty/chromium/third_party/angle/src/compiler/translator/glslang_lex.cpp
371# delete all "toolprefix = " lines from build/toolchain/linux/BUILD.gn, as we
372# never cross-compile in native Fedora RPMs, fixes ARM and aarch64 FTBFS
373sed -i -e '/toolprefix = /d' -e 's/\${toolprefix}//g' \
374  src/3rdparty/chromium/build/toolchain/linux/BUILD.gn
375
376# http://bugzilla.redhat.com/1337585
377# can't just delete, but we'll overwrite with system headers to be on the safe side
378#cp -bv /usr/include/re2/*.h src/3rdparty/chromium/third_party/re2/src/re2/
379
380%if 0
381#ifarch x86_64
382# enable this to force -g2 on x86_64 (most arches run out of memory with -g2)
383# DISABLED BECAUSE OF:
384# /usr/lib/rpm/find-debuginfo.sh: line 188:  3619 Segmentation fault
385# (core dumped) eu-strip --remove-comment $r $g -f "$1" "$2"
386sed -i -e 's/symbol_level=1/symbol_level=2/g' src/core/config/common.pri
387%endif
388
389# generate qtwebengine-3rdparty.qdoc, it is missing from the tarball
390pushd src/3rdparty
391%{__python} chromium/tools/licenses.py \
392  --file-template ../../tools/about_credits.tmpl \
393  --entry-template ../../tools/about_credits_entry.tmpl \
394  credits >../webengine/doc/src/qtwebengine-3rdparty.qdoc
395popd
396
397# copy the Chromium license so it is installed with the appropriate name
398cp -p src/3rdparty/chromium/LICENSE LICENSE.Chromium
399
400
401%build
402export STRIP=strip
403export NINJAFLAGS="%{?__ninja_common_opts}"
404export NINJA_PATH=%{_bindir}/ninja-build
405export RE2_INCLUDE=$(pwd)/src/3rdparty/chromium/third_party/re2
406
407export CFLAGS="%{optflags}"
408#ifnarch x86_64
409# most arches run out of memory with full debuginfo, so use -g1 on non-x86_64
410export CFLAGS=`echo "$CFLAGS" | sed -e 's/ -g / -g1 /g'`
411#endif
412export CXXFLAGS="%{optflags} -fno-delete-null-pointer-checks"
413#ifnarch x86_64
414# most arches run out of memory with full debuginfo, so use -g1 on non-x86_64
415export CXXFLAGS=`echo "$CXXFLAGS" | sed -e 's/ -g / -g1 /g'`
416#endif
417
418mkdir %{_target_platform}
419pushd %{_target_platform}
420
421%{qmake_qt5} \
422  %{?debug_config:CONFIG+="%{debug_config}"} \
423  CONFIG+="link_pulseaudio" \
424  QMAKE_EXTRA_ARGS+="-system-webengine-icu" \
425  QMAKE_EXTRA_ARGS+="-webengine-kerberos" \
426  ..
427
428# if we keep these set here, gyp picks up duplicate flags
429unset CFLAGS
430export CFLAGS
431unset CXXFLAGS
432export CXXFLAGS
433
434# workaround, disable parallel compilation as it fails to compile in brew
435make %{?_smp_mflags}
436
437%if 0%{?docs}
438make %{?_smp_mflags} docs
439%endif
440popd
441
442%install
443rm -rf %{buildroot}
444make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}
445
446%if 0%{?docs}
447make install_docs INSTALL_ROOT=%{buildroot} -C %{_target_platform}
448%endif
449
450# rpm macros
451install -p -m644 -D %{SOURCE10} \
452  %{buildroot}%{rpm_macros_dir}/macros.qt5-qtwebengine
453sed -i \
454  -e "s|@@NAME@@|%{name}|g" \
455  -e "s|@@EPOCH@@|%{?epoch}%{!?epoch:0}|g" \
456  -e "s|@@VERSION@@|%{version}|g" \
457  -e "s|@@EVR@@|%{?epoch:%{epoch:}}%{version}-%{release}|g" \
458  %{buildroot}%{rpm_macros_dir}/macros.qt5-qtwebengine
459
460# hardlink files to {_bindir}
461mkdir -p %{buildroot}%{_bindir}
462pushd %{buildroot}%{_qt5_bindir}
463for i in * ; do
464  ln -v  ${i} %{buildroot}%{_bindir}/${i}
465done
466popd
467
468## .prl/.la file love
469# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
470pushd %{buildroot}%{_qt5_libdir}
471for prl_file in libQt5*.prl ; do
472  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
473  if [ -f "$(basename ${prl_file} .prl).so" ]; then
474    rm -fv "$(basename ${prl_file} .prl).la"
475    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
476  fi
477done
478popd
479
480# explicitly omit, at least until there's a real library installed associated with it -- rex
481rm -fv %{buildroot}%{_libdir}/Qt5WebEngineCore.la
482
483mkdir -p %{buildroot}%{_qtwebengine_dictionaries_dir}
484
485# adjust cmake dep(s) to allow for using the same Qt5 that was used to build it
486# using the lesser of %%version, %%_qt5_version
487%global lesser_version $(echo -e "%{version}\\n%{_qt5_version}" | sort -V | head -1)
488sed -i -e "s|%{version} \${_Qt5WebEngine|%{lesser_version} \${_Qt5WebEngine|" \
489  %{buildroot}%{_qt5_libdir}/cmake/Qt5WebEngine*/Qt5WebEngine*Config.cmake
490
491
492%post -p /sbin/ldconfig
493%postun -p /sbin/ldconfig
494
495%files
496%license LICENSE.* src/webengine/doc/src/qtwebengine-3rdparty.qdoc
497%{_qt5_libdir}/libQt5*.so.*
498%{_bindir}/qwebengine_convert_dict
499%{_qt5_bindir}/qwebengine_convert_dict
500%{_qt5_libdir}/qt5/qml/*
501%{_qt5_libdir}/qt5/libexec/QtWebEngineProcess
502#ifarch %{ix86}
503%if 0%{?sse2}
504# shared V8 library and its SSE2 version
505%{_qt5_libdir}/qtwebengine/
506%endif
507%{_qt5_plugindir}/designer/libqwebengineview.so
508%dir %{_qt5_datadir}/resources/
509%{_qt5_datadir}/resources/qtwebengine_resources_100p.pak
510%{_qt5_datadir}/resources/qtwebengine_resources_200p.pak
511%{_qt5_datadir}/resources/qtwebengine_resources.pak
512%dir %{_qtwebengine_dictionaries_dir}
513%dir %{_qt5_translationdir}/qtwebengine_locales
514%lang(am) %{_qt5_translationdir}/qtwebengine_locales/am.pak
515%lang(ar) %{_qt5_translationdir}/qtwebengine_locales/ar.pak
516%lang(bg) %{_qt5_translationdir}/qtwebengine_locales/bg.pak
517%lang(bn) %{_qt5_translationdir}/qtwebengine_locales/bn.pak
518%lang(ca) %{_qt5_translationdir}/qtwebengine_locales/ca.pak
519%lang(cs) %{_qt5_translationdir}/qtwebengine_locales/cs.pak
520%lang(da) %{_qt5_translationdir}/qtwebengine_locales/da.pak
521%lang(de) %{_qt5_translationdir}/qtwebengine_locales/de.pak
522%lang(el) %{_qt5_translationdir}/qtwebengine_locales/el.pak
523%lang(en) %{_qt5_translationdir}/qtwebengine_locales/en-GB.pak
524%lang(en) %{_qt5_translationdir}/qtwebengine_locales/en-US.pak
525%lang(es) %{_qt5_translationdir}/qtwebengine_locales/es-419.pak
526%lang(es) %{_qt5_translationdir}/qtwebengine_locales/es.pak
527%lang(et) %{_qt5_translationdir}/qtwebengine_locales/et.pak
528%lang(fa) %{_qt5_translationdir}/qtwebengine_locales/fa.pak
529%lang(fi) %{_qt5_translationdir}/qtwebengine_locales/fi.pak
530%lang(fil) %{_qt5_translationdir}/qtwebengine_locales/fil.pak
531%lang(fr) %{_qt5_translationdir}/qtwebengine_locales/fr.pak
532%lang(gu) %{_qt5_translationdir}/qtwebengine_locales/gu.pak
533%lang(he) %{_qt5_translationdir}/qtwebengine_locales/he.pak
534%lang(hi) %{_qt5_translationdir}/qtwebengine_locales/hi.pak
535%lang(hr) %{_qt5_translationdir}/qtwebengine_locales/hr.pak
536%lang(hu) %{_qt5_translationdir}/qtwebengine_locales/hu.pak
537%lang(id) %{_qt5_translationdir}/qtwebengine_locales/id.pak
538%lang(it) %{_qt5_translationdir}/qtwebengine_locales/it.pak
539%lang(ja) %{_qt5_translationdir}/qtwebengine_locales/ja.pak
540%lang(kn) %{_qt5_translationdir}/qtwebengine_locales/kn.pak
541%lang(ko) %{_qt5_translationdir}/qtwebengine_locales/ko.pak
542%lang(lt) %{_qt5_translationdir}/qtwebengine_locales/lt.pak
543%lang(lv) %{_qt5_translationdir}/qtwebengine_locales/lv.pak
544%lang(ml) %{_qt5_translationdir}/qtwebengine_locales/ml.pak
545%lang(mr) %{_qt5_translationdir}/qtwebengine_locales/mr.pak
546%lang(ms) %{_qt5_translationdir}/qtwebengine_locales/ms.pak
547%lang(nb) %{_qt5_translationdir}/qtwebengine_locales/nb.pak
548%lang(nl) %{_qt5_translationdir}/qtwebengine_locales/nl.pak
549%lang(pl) %{_qt5_translationdir}/qtwebengine_locales/pl.pak
550%lang(pt_BR) %{_qt5_translationdir}/qtwebengine_locales/pt-BR.pak
551%lang(pt_PT) %{_qt5_translationdir}/qtwebengine_locales/pt-PT.pak
552%lang(ro) %{_qt5_translationdir}/qtwebengine_locales/ro.pak
553%lang(ru) %{_qt5_translationdir}/qtwebengine_locales/ru.pak
554%lang(sk) %{_qt5_translationdir}/qtwebengine_locales/sk.pak
555%lang(sl) %{_qt5_translationdir}/qtwebengine_locales/sl.pak
556%lang(sr) %{_qt5_translationdir}/qtwebengine_locales/sr.pak
557%lang(sv) %{_qt5_translationdir}/qtwebengine_locales/sv.pak
558%lang(sw) %{_qt5_translationdir}/qtwebengine_locales/sw.pak
559%lang(ta) %{_qt5_translationdir}/qtwebengine_locales/ta.pak
560%lang(te) %{_qt5_translationdir}/qtwebengine_locales/te.pak
561%lang(th) %{_qt5_translationdir}/qtwebengine_locales/th.pak
562%lang(tr) %{_qt5_translationdir}/qtwebengine_locales/tr.pak
563%lang(uk) %{_qt5_translationdir}/qtwebengine_locales/uk.pak
564%lang(vi) %{_qt5_translationdir}/qtwebengine_locales/vi.pak
565%lang(zh_CN) %{_qt5_translationdir}/qtwebengine_locales/zh-CN.pak
566%lang(zh_TW) %{_qt5_translationdir}/qtwebengine_locales/zh-TW.pak
567
568%files devel
569%{rpm_macros_dir}/macros.qt5-qtwebengine
570%{_qt5_headerdir}/Qt*/
571%{_qt5_libdir}/libQt5*.so
572%{_qt5_libdir}/libQt5*.prl
573#{_qt5_libdir}/Qt5WebEngineCore.la
574%{_qt5_libdir}/cmake/Qt5*/
575%{_qt5_libdir}/pkgconfig/Qt5*.pc
576%{_qt5_archdatadir}/mkspecs/modules/*.pri
577
578%files devtools
579%{_qt5_datadir}/resources/qtwebengine_devtools_resources.pak
580
581%files examples
582%{_qt5_examplesdir}/
583
584%if 0%{?docs}
585%files doc
586%{_qt5_docdir}/*
587%endif
588
589
590%changelog
591* Fri Apr 24 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 5.12.8-2
592- rebuilt with icu-67.
593
594* Wed Apr 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 5.12.8-1
595- new upstream release.
596- built with libevent-2.1.11.
597
598* Mon Mar 23 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 5.12.7-1
599- new upstream release.
600- dropped Patch1000: fixed in upstream.
601
602* Sun Oct 20 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 5.12.5-1
603- new upstream release.
604
605* Fri Nov 16 2018 Toshiaki Ara <ara_t@384.jp> - 5.6.3-2
606- rebuild with libevent-2.1.8
607
608* Tue Jan 09 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 5.6.3-1
609- new upstream release.
610
611* Mon Jul 11 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 5.6.1.1-1
612- new upstream release.
613- initial build for Vine Linux.
614- updated Source1.
615
616* Tue Jun 14 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.1-3
617- rebuild (glibc)
618
619* Sun Jun 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.1-2
620- add versioned qt5-qtbase runtime dep
621
622* Sat Jun 11 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.1-1
623- Update to 5.6.1
624- Rebase linux-pri patch (drop the parts already fixed upstream)
625- Drop backported chimera-nss-init patch, already applied upstream
626- Rebase no-sse2 patch (the core_module.pro change)
627- Add the new designer/libqwebengineview.so plugin to the file list
628
629* Mon Jun 06 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.0-8
630- workaround stackmashing runtime errors in re2-related bundled headers (#1337585)
631
632* Sat May 21 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.0-7
633- rebuild (pciutuils)
634
635* Wed May 18 2016 Rex Dieter <rdieter@fedoraproject.org> 5.6.0-6
636- BR: git-core
637
638* Fri Apr 15 2016 David Tardon <dtardon@redhat.com> - 5.6.0-5
639- rebuild for ICU 57.1
640
641* Fri Apr 08 2016 Than Ngo <than@redhat.com> - 5.6.0-4
642- drop ppc ppc64 ppc64le from ExclusiveArch, it's not supported yet
643
644* Thu Mar 24 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-3
645- Build with CONFIG+="webcore_debug v8base_debug force_debug_info"
646- Force -fno-delete-null-pointer-checks through CXXFLAGS, Qt flags not used here
647- Use -g1 instead of -g on non-x86_64 to avoid memory exhaustion
648- Work around debugedit failure by removing "./" from #line commands and
649  changing "//" to "/" in an #include command
650
651* Fri Mar 18 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-2
652- Avoid checking for the nonexistent icudtl.dat and silence the warnings
653
654* Thu Mar 17 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-1
655- Update to 5.6.0 (final)
656- Drop system-icu54 patch, fixed upstream
657
658* Thu Feb 25 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.19.rc
659- Update to 5.6.0 RC
660- Rebase linux-pri and no-sse2 patches
661- Remove BuildRequires pkgconfig(flac), pkgconfig(speex), no longer needed
662- Update file list for 5.6.0 RC (resources now in resources/ subdirectory)
663- Tag translations with correct %%lang tags
664
665* Wed Feb 24 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.18.beta
666- no-sse2 patch: Fix FFT (RealFourier) in webrtc on non-SSE2 x86
667
668* Tue Feb 23 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.17.beta
669- Fix FTBFS on aarch64: Respin tarball with fixed clean_ffmpeg.sh (#1310753).
670
671* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.0-0.16.beta
672- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
673
674* Tue Jan 19 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.15.beta
675- Build V8 as a shared library on i686 to allow for swappable backends
676- Build both the x87 version and the SSE2 version of V8 on i686
677- Add the private library directory to the file list on i686
678- Add Provides/Requires filtering for libv8.so (i686) and for plugins
679
680* Sun Jan 17 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.14.beta
681- Do not require SSE2 on i686
682
683* Thu Jan 14 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.13.beta
684- Drop nss321 backport (and the related nss-headers patch), it did not help
685- Do an NSS/BoringSSL "chimera build" as will be the default in Chromium 47
686- Update License accordingly (add "OpenSSL")
687- Fix the "chimera build" to call EnsureNSSHttpIOInit (backport from Chromium)
688
689* Wed Jan 13 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.12.beta
690- Update forked NSS SSL code to 3.21, match system NSS (backport from Chromium)
691
692* Wed Jan 13 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.11.beta
693- Add an (optimistic) ExclusiveArch list because of V8 (tracking bug: #1298011)
694
695* Tue Jan 12 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.10.beta
696- Unbundle prtime.cc, use the system NSPR instead (which is already required)
697- Unbundle icu_utf.cc, use the system ICU instead (which is already required)
698
699* Mon Jan 11 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.9.beta
700- linux-pri.patch: Set icu_use_data_file_flag=0 for system ICU
701
702* Mon Jan 11 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.8.beta
703- Build against the system libvpx also on F23 (1.4.0), worked in Copr
704
705* Mon Jan 11 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.7.beta
706- Use the system libvpx on F24+ (1.5.0)
707- Fixes to Provides: bundled(*): libwebp if bundled, x86inc only on x86
708
709* Sun Jan 10 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.6.beta
710- Fix extractCFlag to also look in QMAKE_CFLAGS_RELEASE (needed for ARM)
711- Fix FTBFS on ARM: Disable NEON due to #1282495 (GCC bug)
712
713* Sat Jan 09 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.5.beta
714- Fix FTBFS on ARM: linux-pri patch: Set use_system_yasm only on x86_64 and i386
715- Fix FTBFS on ARM: Respin tarball with: clean_ffmpeg.sh: Add missing ARM files
716
717* Sat Jan 09 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.4.beta.1
718- Use more specific BuildRequires for docs (thanks to rdieter)
719- Fix FTBFS against ICU 54 (F22/F23), thanks to spot for the Chromium fix
720
721* Fri Jan 08 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.4.beta
722- Fix License tag
723- Use %%_qt5_examplesdir macro
724- Add Provides: bundled(*) for all the bundled libraries that I found
725
726* Wed Jan 06 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.3.beta
727- linux-pri patch: Add use_system_protobuf, went missing in the 5.6 rebase
728
729* Wed Jan 06 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.2.beta
730- linux-pri patch: Add missing newline at the end of the log line
731- Use export for NINJA_PATH (fixes system ninja-build use)
732
733* Wed Jan 06 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.6.0-0.1.beta
734- Readd BR pkgconfig(jsoncpp) because linux.pri now checks for it
735- BR yasm only on x86 (i686, x86_64)
736- Add dot at the end of %%description
737- Rebase no-format patch
738- Replace unbundle-gyp.patch with new linux-pri.patch
739- Use system ninja-build instead of the bundled one
740- Run the unbundling script replace_gyp_files.py in linux.pri rather than here
741- Update file list for 5.6.0-beta (no more libffmpegsumo since Chromium 45)
742
743* Tue Jan 05 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.5.1-4
744- Remove unused BRs flex, libgcrypt-devel, bzip2-devel, pkgconfig(gio-2.0),
745  pkgconfig(hunspell), pkgconfig(libpcre), pkgconfig(libssl),
746  pkgconfig(libcrypto), pkgconfig(jsoncpp), pkgconfig(libmtp),
747  pkgconfig(libexif), pkgconfig(liblzma), pkgconfig(cairo), pkgconfig(libusb),
748  perl(version), perl(Digest::MD5), perl(Text::ParseWords), ruby
749- Add missing explicit BRs on pkgconfig(x11),  pkgconfig(xext),
750  pkgconfig(xfixes), pkgconfig(xdamage), pkgconfig(egl)
751- Fix BR pkgconfig(flac++) to pkgconfig(flac) (libFLAC++ not used, only libFLAC)
752- Fix BR python-devel to python
753- Remove unused -Duse_system_openssl=1 flag (QtWebEngine uses NSS instead)
754- Remove unused -Duse_system_jsoncpp=1 and -Duse_system_libusb=1 flags
755
756* Mon Jan 04 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.5.1-3
757- Update file list for 5.5.1 (add qtwebengine_resources_[12]00p.pak)
758
759* Mon Jan 04 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.5.1-2
760- Add missing explicit BRs on pkgconfig(expat) and pkgconfig(libxml-2.0)
761- Remove unused BR v8-devel (cannot currently be unbundled)
762
763* Thu Dec 24 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.5.1-1
764- Update to 5.5.1
765- Remove patent-encumbered codecs in the bundled FFmpeg from the tarball
766
767* Fri Jul 17 2015 Helio Chissini de Castro <helio@kde.org> - 5.5.0-2
768- Update with unbundle flags. Adapted from original 5.4 Suse package
769- Disable vpx and sqlite as unbundle due some compilation issues
770- Enable verbose build
771
772* Fri Jul 17 2015 Helio Chissini de Castro <helio@kde.org> - 5.5.0-1
773- Initial spec
774
775* Thu Jun 25 2015 Helio Chissini de Castro <helio@kde.org> - 5.5.0-0.2.rc
776- Update for official RC1 released packages
Note: See TracBrowser for help on using the repository browser.